MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002652VCMICampaignspublic2017-03-12 19:172018-08-26 18:05
Reportermisiokles 
Assigned Toa.yupinov 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version0
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002652: Missing feature: Yog CAN learn spells in Birth of a Barbarian campaign.
DescriptionIn the Shadow of Death campaign Birth of a Barbarian, Yog does not start with a spellbook, and cannot acquire one (entering a Mage Guild while he is a visiting Hero results in a messagebox telling "Yog has given up magic in all its forms. His knowledge of battle and tactics will have to be enough to get him through the rest of his life".

In VCMI Yog has no problem to get spellbook and learn spells, so playing this campaign in vcmi is pointless.
Steps To ReproducePlay Birth of the Barbarian campaign. Try to get spellbook from Mage guilds.
TagsNo tags attached.
Attached Files

- Relationships
child of 0001635new Minor campaign features that are still missing 

-  Notes
(0007632)
asgraf (reporter)
2018-08-25 20:12
edited on: 2018-08-25 20:17

Probably related with BAN_SPELLS:
https://bugs.vcmi.eu/view.php?id=3001#c7631 [^]

(0007633)
AVS (administrator)
2018-08-26 18:05

Fixed in https://github.com/vcmi/vcmi/pull/472 [^]

- Issue History
Date Modified Username Field Change
2017-03-12 19:17 misiokles New Issue
2017-07-14 13:04 SXX Summary Yog CAN learn spells in Birth of a Barbarian campaign. => Missing feature: Yog CAN learn spells in Birth of a Barbarian campaign.
2018-08-04 12:08 a.yupinov Relationship added child of 0001635
2018-08-04 14:36 a.yupinov Assigned To => a.yupinov
2018-08-04 14:36 a.yupinov Status new => assigned
2018-08-25 20:12 asgraf Note Added: 0007632
2018-08-25 20:16 asgraf Note Edited: 0007632 View Revisions
2018-08-25 20:17 asgraf Note Edited: 0007632 View Revisions
2018-08-26 18:05 AVS Note Added: 0007633
2018-08-26 18:05 AVS Status assigned => resolved
2018-08-26 18:05 AVS Fixed in Version => 0.next
2018-08-26 18:05 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean